<?php 
class ControllerpaymentEtpv extends Controller {
	private $error = array(); 

	public function index() {
		$this->load->language('payment/etpv');

		$this->document->title = $this->language->get('heading_title');
		
		$this->load->model('setting/setting');
			
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->load->model('setting/setting');
			
			$this->model_setting_setting->editSetting('etpv', $this->request->post);				
			
			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->https('extension/payment'));
		}

		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_yes'] = $this->language->get('text_yes');
		$this->data['text_no'] = $this->language->get('text_no');
		
		$this->data['entry_merchant'] = $this->language->get('entry_merchant');
        $this->data['entry_password'] = $this->language->get('entry_password');
		$this->data['entry_order_status'] = $this->language->get('entry_order_status');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$this->data['entry_test'] = $this->language->get('entry_test');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

        if (isset($this->error['warning'])) {
            $this->data['error_warning'] = $this->error['warning'];
        } else {
            $this->data['error_warning'] = '';
        }

        if (isset($this->error['merchant'])) {
            $this->data['error_merchant'] = $this->error['merchant'];
        } else {
            $this->data['error_merchant'] = '';
        }

        if (isset($this->error['password'])) {
            $this->data['error_password'] = $this->error['password'];
        } else {
            $this->data['error_password'] = '';
        }

  		$this->document->breadcrumbs = array();

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('common/home'),
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('extension/payment'),
       		'text'      => $this->language->get('text_payment'),
      		'separator' => ' :: '
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('payment/etpv'),
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);
				
		$this->data['action'] = $this->url->https('payment/etpv');
		
		$this->data['cancel'] = $this->url->https('extension/payment');
		
		if (isset($this->request->post['etpv_merchant'])) {
			$this->data['etpv_merchant'] = $this->request->post['etpv_merchant'];
		} else {
			$this->data['etpv_merchant'] = $this->config->get('etpv_merchant');
		}

        if (isset($this->request->post['etpv_password'])) {
            $this->data['etpv_password'] = $this->request->post['etpv_password'];
        } else {
            $this->data['etpv_password'] = $this->config->get('etpv_password');
        }
		
		if (isset($this->request->post['etpv_test'])) {
			$this->data['etpv_test'] = $this->request->post['etpv_test'];
		} else {
			$this->data['etpv_test'] = $this->config->get('etpv_test');
		}

		$this->load->model('localisation/order_status');
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();
		if (isset($this->request->post['_order_status_id'])) {
			$this->data['etpv_order_status_id'] = $this->request->post['etpv_order_status_id'];
		} else {
			$this->data['etpv_order_status_id'] = $this->config->get('etpv_order_status_id'); 
		}
			
		if (isset($this->request->post['etpv_status'])) {
			$this->data['etpv_status'] = $this->request->post['etpv_status'];
		} else {
			$this->data['etpv_status'] = $this->config->get('etpv_status');
		}
		
		if (isset($this->request->post['etpv_sort_order'])) {
			$this->data['etpv_sort_order'] = $this->request->post['etpv_sort_order'];
		} else {
			$this->data['etpv_sort_order'] = $this->config->get('etpv_sort_order');
		}

/*		$this->id       = 'content';
		$this->template = 'payment/etpv.tpl';
		$this->layout   = 'common/layout';
		
 		$this->render();
*/
        $this->template = 'payment/etpv.tpl';
        $this->children = array(
            'common/header',    
            'common/footer' 
        );
        $this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'payment/etpv')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		if (!@$this->request->post['etpv_merchant']) {
			$this->error['merchant'] = $this->language->get('error_merchant');
		}
		
        if (!@$this->request->post['etpv_password']) {
            $this->error['password'] = $this->language->get('error_password');
        }	
		
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
}
?>
